java.lang.UnsupportedOperationException: Java Runtime Environment (JRE) version 1.6 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0.

sqoop-user | Alexander Alten-Lorenz | 4 years ago
  1. 0

    Re: MS sql server hadoop connector

    sqoop-user | 4 years ago | Alexander Alten-Lorenz
    java.lang.UnsupportedOperationException: Java Runtime Environment (JRE) version 1.6 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0.
  2. 0

    Accessing SQL Server on NetBeans using JDBC, Part 3: Troubleshooting

    linglom.com | 5 months ago
    java.lang.UnsupportedOperationException: Java Runtime Environment (JRE) version 1.6 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0.
  3. 0

    Accessing SQL Server on NetBeans using JDBC, Part 1

    linglom.com | 4 months ago
    java.lang.UnsupportedOperationException: Java Runtime Environment (JRE) version 1.6 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0.
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    getting SQL server connection Error

    Oracle Community | 6 years ago | 843859
    java.lang.UnsupportedOperationException: Java Runtime Environment (JRE) version 1.6 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0.
  6. 0

    eclipse says it's using JRE 1.7 even though it's using 1.6

    Stack Overflow | 3 years ago | wjhplano
    java.lang.UnsupportedOperationException: Java Runtime Environment (JRE) version 1.7 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0.

  1. Andreas Häber 2 times, last 1 month ago
1 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. java.lang.UnsupportedOperationException

    Java Runtime Environment (JRE) version 1.6 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0.

    at com.microsoft.sqlserver.jdbc.SQLServerConnection.<init>()
  2. com.microsoft.sqlserver
    SQLServerDriver.connect
    1. com.microsoft.sqlserver.jdbc.SQLServerConnection.<init>(SQLServerConnection.java:238)
    2. com.microsoft.sqlserver.jdbc.SQLServerDriver.connect(SQLServerDriver.java:841)
    2 frames
  3. Java RT
    DriverManager.getConnection
    1. java.sql.DriverManager.getConnection(DriverManager.java:582)
    2. java.sql.DriverManager.getConnection(DriverManager.java:207)
    2 frames
  4. org.apache.sqoop
    Sqoop.run
    1. org.apache.sqoop.manager.SqlManager.makeConnection(SqlManager.java:663)
    2. org.apache.sqoop.manager.GenericJdbcManager.getConnection(GenericJdbcManager.java:52)
    3. org.apache.sqoop.manager.SqlManager.execute(SqlManager.java:525)
    4. org.apache.sqoop.manager.SqlManager.execute(SqlManager.java:548)
    5. org.apache.sqoop.manager.SqlManager.getColumnTypesForRawQuery(SqlManager.java:191)
    6. org.apache.sqoop.manager.SqlManager.getColumnTypes(SqlManager.java:175)
    7. org.apache.sqoop.manager.ConnManager.getColumnTypes(ConnManager.java:262)
    8. org.apache.sqoop.orm.ClassWriter.getColumnTypes(ClassWriter.java:1235)
    9. org.apache.sqoop.orm.ClassWriter.generate(ClassWriter.java:1060)
    10. org.apache.sqoop.tool.CodeGenTool.generateORM(CodeGenTool.java:82)
    11. org.apache.sqoop.tool.ImportTool.importTable(ImportTool.java:390)
    12. org.apache.sqoop.tool.ImportTool.run(ImportTool.java:476)
    13. org.apache.sqoop.Sqoop.run(Sqoop.java:145)
    13 frames
  5. Hadoop
    ToolRunner.run
    1. org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:65)
    1 frame
  6. org.apache.sqoop
    Sqoop.main
    1. org.apache.sqoop.Sqoop.runSqoop(Sqoop.java:181)
    2. org.apache.sqoop.Sqoop.runTool(Sqoop.java:220)
    3. org.apache.sqoop.Sqoop.runTool(Sqoop.java:229)
    4. org.apache.sqoop.Sqoop.main(Sqoop.java:238)
    4 frames